Loading...
Searching...
No Matches
svn_wc_external_item_t Struct Reference
Working copy management » Externals

One external item. More...

`#include <svn_wc.h>`

## Data Fields

const char * | target_dir
| Same as svn_wc_external_item2_t.target_dir.
const char * | url
| Same as svn_wc_external_item2_t.url.
svn_opt_revision_t | revision
| Same as svn_wc_external_item2_t.revision.

## Detailed Description

One external item.

Similar to svn_wc_external_item2_t, except revision is interpreted as both the operational revision and the peg revision.

Deprecated
  Provided for backward compatibility with the 1.4 API.

Definition at line 861 of file svn_wc.h.

## Field Documentation

## revision

svn_opt_revision_t svn_wc_external_item_t::revision

Same as svn_wc_external_item2_t.revision.

Definition at line 870 of file svn_wc.h.

## target_dir

const char* svn_wc_external_item_t::target_dir

Same as svn_wc_external_item2_t.target_dir.

Definition at line 864 of file svn_wc.h.

## url

const char* svn_wc_external_item_t::url

Same as svn_wc_external_item2_t.url.

Definition at line 867 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h